Bug 141968 - New aspell-0.60.3 resolves problems with UTF-8
New aspell-0.60.3 resolves problems with UTF-8
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: aspell (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
ftp://ftp.gnu.org/gnu/aspell/aspell-0...
:
: 142827 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-06 09:51 EST by Dawid Gajownik
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-14 16:32:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
aspell.spec file (11.36 KB, text/plain)
2004-12-06 09:53 EST, Dawid Gajownik
no flags Details
New, better aspell.spec file (12.02 KB, text/plain)
2005-04-02 08:07 EST, Dawid Gajownik
no flags Details
Updated spec file (12.06 KB, text/plain)
2005-07-07 12:29 EDT, Dawid Gajownik
no flags Details

  None (edit)
Description Dawid Gajownik 2004-12-06 09:51:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8a5)
Gecko/20041122

Description of problem:
New Aspell package resolves problems with UTF-8 ->
http://aspell.sourceforge.net/utf-8.txt

Version-Release number of selected component (if applicable):
aspell-0.50.5-4

How reproducible:
Always

Steps to Reproduce:
1. aspell -c some_file_with_non-US-ASCII_characters

Actual Results:  I prepared a spec file (it was a really instructive
lesson for me) - original one needed some changes.

Expected Results:  You should push that package into Rawhide.

As it's written in README file "the Aspell 0.60 library is binary
compatible with the Aspell 0.50 library". It works at least with Pan
from FC3 with Polish dictionary, so you may try to release it in FC3
updates-testing on condition that dictionaries will need to be
recompiled, because the dictionary format has changed.

Additional info:

Changes in spec fille:
- updated description od devel package - it does not provide libraries
- patches seems to be obsolete
- %configure script needed some additional options
- instead of make we should use %{__make}
- %makeinstall does not work with additional options to %configure
script, so I used something different
- removed all *.la files (I'm not shure whether it is good :/ )
- use %find_lang %{name} macro
- don't add libraries symlinks to devel package (maybe it's wrong)
- I don't see bug #128140 with FC3's rpm, so some lines are commented out.

Please remove comments from spec file.
Comment 1 Dawid Gajownik 2004-12-06 09:53:08 EST
Created attachment 107950 [details]
aspell.spec file
Comment 2 Dawid Gajownik 2005-04-02 08:07:52 EST
Created attachment 112618 [details]
New, better aspell.spec file

Well, I've learned something new about packaging and I've corrected the spec
file (rpmlint still have some objections, though).

Please investigate futher the context of the %{_libdir}/%{name} directory --
I'm not shure whether do we need all that files :/

If you don't like it, please remove my name from the changelog ;)
Comment 3 Ivana Varekova 2005-04-12 07:31:14 EDT
*** Bug 142827 has been marked as a duplicate of this bug. ***
Comment 4 Dawid Gajownik 2005-07-07 12:29:44 EDT
Created attachment 116481 [details]
Updated spec file
Comment 5 Dawid Gajownik 2005-07-14 16:32:57 EDT
New aspell package landed in Rawhide. Thanks!
Comment 6 Greg Swallow 2005-09-29 18:31:18 EDT
Will this update ever make it into RHEL4?  The spellcheck in Horde/IMP webmail 
does not work with the aspell 0.50 package in RHEL4 - bug report here: 
http://bugs.horde.org/ticket/?id=2640

Comment 7 Ivana Varekova 2005-09-30 06:48:49 EDT
There is no plan to update RHEL4 version of aspell. 

Note You need to log in before you can comment on or make changes to this bug.